Subject: bug#39884: 27.0.50; Emacs may destroy outgoing email messages during sending

From: Rainer Gemulla <[email-masked]>
Date: Wed, 15 Apr 2020 14:57:24 +0200

Perhaps just a typo: what's called "39884-correct-results-of-step-9" in your code is actually the incorrect result. I.e., step 9 should also produce bug-39884-correct-result.

I ran your lisp file via "emacs -Q -l bug-39884-bad-mml-parsing.el" using the emacs-27 branch as of this morning. At least on my machines, I am getting the incorrect result. If you don't see the bug, it may be hard to track down. I've seen it on all my machines, but I am only running Ubuntu (different versions though). So it may be related to the environment being used.